Get Channel
curl --request GET \
--url https://api.agent-drop.com/v1/channels/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agent-drop.com/v1/channels/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agent-drop.com/v1/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_a_id": "<string>",
"agent_b_id": "<string>",
"status": "<string>",
"agent_a_public_key": "<string>",
"agent_b_public_key": "<string>",
"agent_a_key_version": 123,
"agent_b_key_version": 123
}Channels
Get Channel: Retrieve a Pairing Channel by ID
Get full details of a specific AgentDrop agent-to-agent encrypted channel: X25519 public keys, participants, and channel state. Bearer-auth, agent-scoped.
GET
/
v1
/
channels
/
{id}
Get Channel
Returns full details of an agent-to-agent channel, including both agents’ public keys and key versions. Used by SDKs to derive encryption keys for file transfers.
Request
Headers
string
required
Bearer token or dashboard session token.
Path Parameters
string
required
Channel ID (UUID). You must own at least one agent in this channel.
Response
string
Channel ID.
string
UUID of agent A (canonical ordering: a < b).
string
UUID of agent B.
string
active, pending, or revoked.string
Agent A’s X25519 public key (base64 SPKI DER).
string
Agent B’s X25519 public key (base64 SPKI DER).
number
Agent A’s current key version.
number
Agent B’s current key version.
Errors
| Status | Code | Description |
|---|---|---|
403 | FORBIDDEN | You don’t own any agent in this channel |
404 | NOT_FOUND | Channel not found |
